#ifndef __NEWS_H
#define __NEWS_H

#define LOGONNEWS   1
#define OPERNEWS    2

typedef struct newsitem NewsItem;

struct newsitem {
  int type;
  time_t time;
  char nick[NICKLEN];
  char news[512];
  NewsItem *next, *previous;
};

void      addNews(NewsItem *);
void      delNews(NewsItem *);
NewsItem *getNews(int, int);
void      sendNews(UserList *, int);

#endif /* __NEWS_H */
