#ifndef __HASH_H
#define __HASH_H

/*
 * in this I use hash tables for nicks and channels, speed up searching
 * and the like...
 */

/*
 * nickname hash entry 
 */
typedef struct nickhashent {
  RegNickList       *nick, *lastnick;
} RegNickHashEnt;

typedef struct userhashent {
  UserList *nick, *lastnick;
} UserHashEnt;

/*
 * channel hash entry 
 */
typedef struct chanhashent {
  ChanList       *chan, *lastchan;
} ChanHashEnt;
typedef struct regchanhashent {
  RegChanList *chan, *lastchan;
} RegChanHashEnt;

typedef struct clonehashent {
  HostClone *clone, *lastclone;
} CloneHashEnt;

long            getHashKey(char *);
void            cleanNickHash(void);
void            cleanChanHash(void);

#endif /* __HASH_H */
