/*
 * Copyright (c) 2001 bobby
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the authors nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS `AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

#include "services.h"

void showMotd(char *to) {

  sSend(":%s 375 %s :- %s Message of the Day - ", myname, to, myname);
  sSend(":%s 372 %s :-", myname, to);
  sSend(":%s 372 %s :- Galaxy IRC Network User Services v%.2f-%s.", myname, to, sversion, RELEASE);
  sSend(":%s 372 %s :- Copyright (c) 2001 Francisco Soto (bobby)", myname, to);
  sSend(":%s 372 %s :-", myname, to);
  sSend(":%s 372 %s :- Coded by bobby   - bobby3999@yahoo.com", myname, to);
  sSend(":%s 372 %s :-", myname, to);
  sSend(":%s 372 %s :- There are currently \002%lu\002 nicknames and \002%lu\002 channels registered.", myname, to, mostnicks, mostchans);
  sSend(":%s 372 %s :- Our current user-record is \002%lu\002 users.", myname, to, mostusers);
  sSend(":%s 372 %s :-", myname, to);
  sSend(":%s 372 %s :End of /MOTD command", myname, to);
}

void showStats(char *to, char *stat) {

  RegNickList *rntmp;

  switch(stat[0]) {
    case 'o':
    case 'O':
      for (rntmp = firstRegNick; rntmp; rntmp = rntmp->next) {
        if (rntmp->flags & NNETADM)
          sSend(":%s 243 %s O NetAdmin * %s NetAdmin 0", myname, to, rntmp->nick);
      }
      for (rntmp = firstRegNick; rntmp; rntmp = rntmp->next) {
        if (rntmp->flags & NROOT)
          sSend(":%s 243 %s O SRA * %s SRA 0", myname, to, rntmp->nick);
      }
      for (rntmp = firstRegNick; rntmp; rntmp = rntmp->next) {
        if (rntmp->flags & NSERVOP)
          sSend(":%s 243 %s O ServOp * %s ServOp 0", myname, to, rntmp->nick);
      }
      break;
  }

}
