/* 
 * " NETWORK " Services Language Format Tables: Spanish Language.
 *
 *      Added by bobby (April 2001)
 */

#ifndef SPANISH__H
#define SPANISH__H

#include "services.h"

struct FormatTable SpanishReplies[] = {
{ RPL_CUSTOM,           "Este es un simple mensaje" },
{ ERR_NEEDREGNICK,      "Necesitas un nick registrado para este comando." },
{ ERR_NEEDACTNICK,      "Necesitas un nick activado para este comando." },
{ ERR_NEEDSRA,          "Necesitas acceso de Services Root Administrator para este comando." },
{ ERR_NEEDSERVOP,       "Necesitas acceso de Services Operator para este comando." },
{ ERR_NEEDOPER,         "Necesitas acceso de IRC Operator para este comando." },
{ ERR_UNKNOWNCOMMAND,   "Lo siento, pero \002%s\002 es un comando desconocido para mi." },
{ RPL_MOREHELP,         "Trata \002/msg %s HELP\002 para mas ayuda con este Servicio." },
{ RPL_DEBUGHEADER,      "-=- [Informacion Debug de %s] -=-" },
{ RPL_DEBUGFOOTER,      "-=- [Fin de informacion Debug] -=-" },
{ RPL_DEBUGLINE1,       "%-15s %-15s %-15s %-15s" },
{ RPL_DEBUGLINE2,       "\002%-15s\002 %-15d %-15d %-15d" },
{ ERR_BADPARAMS,        "Especificaste muy pocos argumentos para este comando." },
{ RPL_PASSOKAY,         "Tu clave a sido aceptada para el nick \002%s\002." },
{ RPL_YOUAREROOT,       "Ahora eres un \002Services Root Administrator.\002" },
{ RPL_YOUARESERVOP,     "Ahora eres un \002Services Operator.\002" },
{ RPL_NOCHANGEPASS,     "No has cambiado la clave de tu nick recientemente." },
{ RPL_MOREHELPCMD,      "Trata \002/msg %s HELP %s\002 para mas ayuda con este comando." },
{ RPL_PASSNOTOKAY,      "La clave dada \002NO\002 es correcta para el nick \002%s\002." },
{ RPL_EMAILHACK1,       "\002Cuidado!\002 Has dado claves incorrectas demasiadas veces!" },
{ RPL_EMAILHACK2,       "Una notificacion por email a sido enviada al dueo de este nick." },
{ RPL_EMAILHACK3,       "Por favor \002deten tus intentos de identificarte\002 hasta que recibas ese correo." },
{ RPL_EMAILHACK4,       "Si no recibes ese correo por favor entra a #" NETWORKNAME " por ayuda." },
{ RPL_EMAILHACK5,       "Mas intentos de identificarte provocara tu \002desconexion de la red a la fuerza.\002" },
{ RPL_EMAILHACK6,       "Seras desconectado por tratar de robar nicks. Fuiste advertido!" },
{ ERR_NICKNOTREGGED,    "El nick \002%s\002 no esta registrado con NickServ." },
{ RPL_INFOHEADER,       "-=[ Informacion de NickServ para \002%s\002 ]=-" },
{ RPL_INFOFOOTER,       "-=[ Fin de la informacion de NickServ ]=-" },
{ RPL_INFOBANISHED,     "Este nick a sido \002PROHIBIDO\002 permanentemente por la administracion de " NETWORK "." },
{ RPL_INFONOWON,        "(Actualmente en IRC) Para mas informacion: /whois %s" },
{ RPL_INFODEREG,        "Este nick a sido \002DESREGISTRADO\002 por la administracion de " NETWORK "." },
{ RPL_INFOLASTSEEN1,    "Ultima direccion vista - %s@%s [%s]" },
{ RPL_INFOLASTSEEN2,    "Ultima vez visto en    - %s" },
{ RPL_INFOREGGEDON,     "Registrado en          - %s" },
{ RPL_INFOEMAIL,        "Direccion de email     - %s" },
{ RPL_INFOACCESS,       "Acceso a Servicios     - %s" },
{ RPL_INFOOPTIONS,      "Opciones               - %s" },
{ RPL_INFOMEMO,         "Opciones (memos)       - %s" },
{ RPL_INFOLINKID,       "ID remotas             - %s" },
{ RPL_INFOCURRENTACC,   "Acceso actual          - %s" },
{ RPL_INFODATA,         "Datos de IRCop         - [canales: %i] [memos: %i] [mascaras: %i] [flood: %i]" },
{ RPL_INFOSTATUS,       "Status actual          - %s" },
{ RPL_INFOREGBY,        "Registrado por         - %s@%s" },
{ RPL_INFOTIMENOW,      "El tiempo es           - %s" },
{ ERR_NEEDID,           "Lo siento,  pero necesitas estar identificado al nick antes que puedas usar este comando." },
{ RPL_NSETIS,           "\002%s\002 esta actualmente en \002%s\002 para este nick." },
{ RPL_NSETNOW,          "\002%s\002 a sido puesto en \002%s\002 para este nick." },
{ ERR_BADSETTING,       "Lo siento, pero \002%s\002 es una opcion desconocida para mi." },
{ ERR_BADPASSWORD,      "Lo siento, esa no es una buena clave. Por favor escoje otra." },
{ RPL_PASSWORDNOW,      "Tu clave a sido cambiada a \002%s\002." },
{ ERR_VALIDEMAIL,       "Por favor especifique un email valido en la forma usuario@host." },
{ ERR_NICKLIMIT,        "Lo siento, pero ya llegaste a tu limite de nicks registrados. No puedes registrar mas nicks." },
{ ERR_NOWEBMAIL,        "Lo siento, pero " NETWORK " no acepta ese correo en la registracion de nicks." },
{ RPL_TEMPDEAC1,        "Tu nick a sido desactivado temporalmente para verificar tu nueva direccion de email." },
{ RPL_TEMPDEAC2,        "El proceso para reactivar tu nick sera el mismo que como cuando lo registraste por primera vez." },
{ RPL_TEMPDEAC3,        "Todas las opciones actuales de tu nick continuaran guardadas." },
{ RPL_TEMPDEAC4,        "La nueva llave de registracion a sido enviada a \002%s\002." },
{ ERR_NOMAILSENT,       "Lo siento, pero el email no pudo ser entregado a la direccion especificada." },
{ ERR_ALREADYREG,       "Este nick ya esta registrado. No puedes registrarlo otra vez." },
{ ERR_NEEDTOACT,        "Este nick ya esta registrado, solo puede ser activado ahora." },
{ ERR_CANNOTREGTHIS,    "Este nick no puede ser registrado, por favor escoje otro." },
{ ERR_BANNEDEMAIL,      "Este email esta \002PROHIBIDO\002 para uso en " NETWORK ". Por favor usa otro." },
{ ERR_CANNOTGHOSTSELF,  "Lo siento, no te puedes dar GHOST a ti mismo." },
{ ERR_NOTONLINE,        "El nick \002%s\002 no esta siendo usado, no puedes darle GHOST." },
{ ERR_ACCESSDENIED,     "Lo siento, acceso denegado." },
{ RPL_NICKGHOSTED,      "El nick \002%s\002 a recibido el GHOST. Ahora esta disponible de nuevo." },
{ RPL_TOCHANOPS,        "\002(Ops:%s)\002 %s" },
{ RPL_AUTOSET_S,        "Este canal esta puesto +s como precaucion para nuestros usuarios mas jovenes. Esto no afectara el canal de ninguna manera, mas que hacerlo invisible en la lista de canales." },
{ RPL_NOOPSFROZEN,      "No tienes privilegios de operador en este canal, a sido \002CONGELADO\002." },
{ RPL_CHANDESC,         "(\002%s\002): %s" },
{ RPL_NOOPS,            "Lo siento, no tienes privilegios de operador en este canal." },
{ RPL_PING1,            "\001PING %s\001" },
{ RPL_PING2,            "\001PING %s %s\001" },
{ ERR_CHANNOTREGGED,    "El canal \002%s\002 no esta registrado con ChanServ." },
{ RPL_NEXTDBSYNC,       "La base de datos sera guardada de nuevo en %d minutos." },
{ RPL_CHANINFO1,        "-=[ Informacion de ChanServ para \002%s\002 ]=-" },
{ RPL_ACTIVATE1,        "Tu nick \002%s\002 a sido registrado y activado exitosamente!" }, 
{ RPL_ACTIVATE2,        "Tu primera mascara de acceso es \002%s\002. si quieres mas mascaras," },
{ RPL_ACTIVATE3,        "trata usando: /ns \002ADDMASK\002" },
{ RPL_ACTIVATE4,        "La hora de tu registracio es %s " },
{ RPL_ACTIVATE5,        "La clave de tu nick es \002%s\002. Por favor escribela, para que no vayas a perderla." },
{ RPL_ACTIVATE6,        "Bienvenido a la red IRC " NETWORK ", disfruta tu estancia!" },
{ RPL_REACTIVATE,       "Tu nick a sido reactivado exitosamente!" },
{ RPL_ALREADYACT,       "Este nick ya esta activado, no puedes activarlo de nuevo." },
{ RPL_NICKDROPPED,      "Tu nick \002%s\002 ya no esta registrado." },
{ RPL_YOURACCESSIS,     "Tu nivel de acceso actual es \002%i\002." },
{ RPL_CHANINFO2,        "Founder                - %s" },
{ RPL_CHANINFO3,        "Descripcion            - %s" },
{ RPL_CHANINFO4,        "Topic                  - %s (%s)" },
{ RPL_CHANINFO5,        "Opciones               - %s%s%s%s%s%s%s%s" },
{ RPL_CHANINFO6,        "Opciones               - [Topic Level: %i+] [Restrict Level: %i+] [Mode: %s]" },
{ RPL_CHANINFO7,        "Canal registrado en    - %s GMT" },
{ RPL_CHANINFO8,        "Ultima vez usado en    - %s GMT" },
{ RPL_CHANINFO9,        "Datos de IRCop         - %s%s%s%s%s[Ops: %i] [Akicks: %i]" },
{ RPL_CHANINFO10,       "-=[ Fin de la informacion de ChanServ ]=-" },
{ RPL_CHANACCESS1,      "%s tiene %s de acceso en %s" },
{ RPL_CHANACCESS2,      "Tu tienes %s de acceso en %s" },
{ ERR_NOTOPEDINCHAN,    "Tienes que estar dentro, y con op, en el canal que deseas registrar." },
{ ERR_CHANALREADYREG,   "Este canal ya esta registrado, no puedes registrarlo de nuevo." },
{ ERR_TOMANYREGCHAN1,   "Tienes demasiados canales registrados." },
{ ERR_TOMANYREGCHAN2,   "%s ya tiene demasiados canales registrados." },
{ RPL_CHANNOWREG,       "El canal \002%s\002 esta ahora registrado bajo tu nick \002%s\002 con acceso de FOUNDER(15)." },
{ RPL_CHANREGNOTE,      "Tu canal tiene el modelock en \002+tn-k\002 y la preservacion del topic esta en \002ON\002." },
{ ERR_CHANFROZEN,       "Acceso denegado. Este canal esta \002CONGELADO\002." },
{ ERR_NOOPON,           "%s no puede ser aanadido a la lista de chanops. TIenes que pedirle que le quite el seguro a su nick primero." },
{ RPL_CHANTRANS,        "El status de founder del canal \002%s\002 a sido transferido a \002%s\002." },
{ RPL_ACCESSHEADER,     "-=[ Lista de accesos para \002%s\002 ]=-" },
{ RPL_ACCESSLIST1,      "Mascara %i) \002%s\002" },
{ RPL_ACCESSFOOTER,     "-=[ Fin de lista de accesos ]=-" },
{ ERR_NOREMOTEACC,      "Lo siento - no puedes ver la lista de accesos de \002%s\002." },
{ RPL_CURRENTACC,       "El nivel de acceso actual para %s es \002%i\002." },
{ RPL_LISTOPHEADER,     "-=[ Lista de IRCops en linea ]=-" },
{ RPL_LISTOP1,          "(%-2i) %-30s %s %-4s %-4s" },
{ RPL_LISTOPFOOTER,     "-=[ Fin de lista de IRCops ]=-" },
{ ERR_BADACCMASK,       "Lo siento, pero esa mascara de acceso es demasiado larga." },
{ ERR_TOOMANYACCMASKS,  "Has llegado a tu limite de mascaras de acceso, remueve algunas antes de aadir mas." },
{ ERR_CHANAXTOOLOW,     "Tu acceso es demasiado bajo para ese comando." },
{ ERR_CHANNOMOREOPS,    "Lo siento, \002%s\002 a llegado al limite de Ops. No se puede aadir mas Ops." },
{ ERR_UNKAXLEVEL,       "El nivel \002%s\002 que especificaste no es valido." },
{ ERR_NOAXCGFOUNDER,    "Lo siento, \002%s\002 es el founder del canal \002%s\002 y no puede ser modificado." },
{ RPL_CHANAXCHANGE,     "El acceso de \002%s\002 a sido cambiado a \002%s\002" },
{ RPL_CHANOPADDED,      "Aadido Op #%i \002%s\002 como \002%s\002" },
{ ERR_CHANNOMOREAKICK,  "Lo siento, \002%s\002 a llegado al limite de Akicks. No se puede aadir mas Akicks." },
{ ERR_THISEXISTS,       "Lo siento, \002%s\002 ya existe en la lista de %s." },
{ ERR_INVALIDAKICK,     "Lo siento, %s es un Akick invalido." },
{ RPL_CHANAKICKADDED,   "Aadido el Akick \002%s\002 a \002%s\002" },
{ ERR_NOTINOPSLIST,     "Lo siento, \002%s\002 no existe en la lista de Ops de \002%s\002." },
{ RPL_CHANOPDELED,      "Borrado Op \002%s\002 en \002%s\002." },
{ ERR_AKICKNOTEXIST,    "Lo siento, \002%s\002 no existe en la lista de Akicks de \002%s\002." },
{ RPL_CHANAKICKDELED,   "Borrado Akick \002%s\002 en \002%s\002" },
{ RPL_CHANOPSLISTHEAD1, "-=[ Lista de Ops para \002%s\002 ]=-" },
{ RPL_CHANOPSLISTHEAD2, "(Indice) Nick                            Nivel" },
{ RPL_CHANOPSLISTDATA,  "(%-3i) %-30s [%s]" },
{ RPL_LISTSEARCHNUM,    "\002%i\002 encontrados de \002%i\002 elementos buscados." },
{ RPL_CHANOPSLISTEND,   "-=[ Fin de lista de Ops ]=-" },
{ RPL_CHANAKLISTHEAD1,  "-=[ Lista de Akicks para \002%s\002 ]=-" },
{ RPL_CHANAKLISTHEAD2,  "(Indice) (Mascara)" },
{ RPL_CHANAKLISTHEAD3,  "(Hora [GMT])     (Razon)" },
{ RPL_CHANAKLISTDATA1,  "(%-3i) (%-s)" },
{ RPL_CHANAKLISTDATA2,  "(%s) (%s)" },
{ RPL_CHANAKLISTEND,    "-=[ Fin de lista de Akicks ]=-" },
{ RPL_CHANDROP,         "La registracion del canal \002%s\002 sido eliminada." },
{ ERR_NICKNOTINCHAN,    "Lo siento, \002%s\002 no esta en \002%s\002." },
{ RPL_NOWCHANOPERATOR,  "Eres un operador en el canal \002%s\002." },
{ RPL_NOTCHANOPERATOR,  "Ya no eres un operador en el canal \002%s\002." },
{ ERR_NOSUCHCHAN,       "Lo siento, \002%s\002 no existe." },
{ RPL_NUMUSERSINCHAN,   "\002%d\002 usuarios en \002%s\002." },
{ RPL_CHANCLISTDATA,    ":%s -> %s%s" },
{ ERR_MISSINGKEY,       "Necesitas especificar una llave para poner +k en modelock." },
{ ERR_MISSINGLIMIT,     "Necesitas especificar un limite para poner +l en modelock." },
{ RPL_MLOCKSETTO,       "Los modos de \002%s\002 estan ahora con modelock \002%s\002." },
{ RPL_RESTRICTSETTO,    "\002%s\002 esta ahora restringido a usuarios con \002%i+\002 de nivel." },
{ RPL_TOPICLOCKSETTO,   "La restriccion de cambiar el Topic para \002%s\002 a sido puesta a usuarios con \002%i+\002 de nivel." },
{ RPL_CHANSETSTATUS,    "\002%s\002 para \002%s\002 esta \002%s\002." },
{ RPL_CHANSETDESC,      "La descripcion de \002%s\002 es: %s" },
{ RPL_CHANSETDESCCLEAR, "La descripcion de \002%s\002 a sido borrada." },
{ RPL_REMCHANBANS,      "Bans removidos: %s" },
{ RPL_CHANLIST,         "%s (%s) [%i/%i]" },
{ RPL_CHANMASSDEOP,     "DeOp'ed: %s" },
{ RPL_CHANMASSDEVOICE,  "DeVoiced: %s" },
{ RPL_CHANMASSKICK,     "Masskick completp, \002%i\002 usuarios sacados, \002%s\002 limpiado." },
{ RPL_CHANMODECLEAR,    "Modeclear para \002%s\002 exitoso." },
{ ERR_BADMASK,          "Lo siento, \002%s\002 es un formato invalido para una mascara."},
{ RPL_AKILLADDED,       "Aadido %s para \002%s\002 por \002%s\002 [%s]" },
{ ERR_MASKEXISTS,       "La mascara \002%s\002 ya existe en la lista de %s." },
{ ERR_INVALIDMODES,     "Lo siento, %s es una lista de modos invalida." },
{ ERR_NOSUCHSERVER,     "Lo siento, no existe el servidor \002%s\002." },
{ ERR_ALREADYSVSNOOP,   "Lo siento, \002%s\002 ya esta en modo SVSNOOP." },
{ ERR_NOTSVNOOP,        "Lo siento, \002%s\002 no esta en modo SVSNOOP." },
{ RPL_EKILLEMPTY,       "La lista de EKILL dinamicos esta vacia." },
{ RPL_EKILLHEAD,        "-=[ Lista de Ekills dinamicos ]=-" },
{ RPL_EKILLDATA,        "%-25s (puesto por %s) %s %s" },
{ RPL_EKILLEND,         "-=[ Fin de lista de Ekills ]=-" },
{ ERR_NOSUCHEKILL,      "Lo siento, no existe el EKILL: \002%s\002." },
{ RPL_EKILLDELED,       "El EKILL \002%s\002 a sido removido." },
{ ERR_EKILLEXISTS,      "El EKILL \002%s\002 ya existe." },
{ RPL_EKILLADDED,       "Aadido un EKILL para \002%s\002." },
{ RPL_RESTARTING,       "Reiniciando." },
{ RPL_SHUTTINGDOWN,     "Cerrando." },
{ RPL_PERMCLONEIGNHEAD, "-=[ Lista de Ignores ]=-" },
{ ERR_ACCMASKNOTADDED,  "Lo siento - pero la mascara \002%s\002 no a sido aadida, es invalida o ya existe." },
{ RPL_ACCMASKADDED,     "La mascara \002%s\002 a sido aadida a tu lista de acceso." },
{ RPL_ACCLISTCLEARED,   "Tu lista de acceso a sido limpiada." },
{ RPL_ACCMASKREMOVED,   "La mascara \002%s\002 a sido removida de tu lista de acceso." },
{ ERR_ACCENTRYNOTFOUND, "Lo siento, la entrada #%s no fue encontrada en tu lista de accceso." },
{ ERR_ACCMASKNOTFOUND,  "Lo siento, la mascara\002%s\002 no fue encontrada en tu lista de acceso." },
{ RPL_NLIST1,           "%4i: %s %s" },
{ RPL_NLIST2,           "%4i: %s!%s@%s%s" },
{ RPL_NLIST3,           "%4i: %s!%s@%s" },
{ ERR_PROPERHOST,       "Lo siento, pero vas a necesitar usar una mascara de host en la forma nick!ident@host." },
{ ERR_WIDEHOST,         "Lo siento, pero tu rango es demasiado largo, trata de hacerlo mas corto." },
{ RPL_NLISTHEADER,      "-=[ Comienzo de la lista (\002%s\002) ]=-" },
{ RPL_NLISTFOOTER,      "-=[ Fin de la lista, \002%i\002 de \002%i\002 aceptaron la condicion \002%s\002) ]=-" },
{ ERR_NLISTEMPTY,       "Lo siento, pero tu busqueda no encontro ningun dato." },
{ RPL_NICKRELEASED,     "El nick \002%s\002 a sido liberado y puede ser usado de nuevo." },
{ ERR_NICKNOTHELD,      "Lo siento, pero el nick %s esta siendo retenido por los Servicios." },
{ ERR_BADFLAG,          "Lo siento, pero \002%c\002 es un flag desconocido para mi." },
{ RPL_CHANGEDFLAGS,     "Has cambiado los flags para \002%s\002 a \002%s%s%s%s\002." },
{ RPL_BANNEDNICK,       "Has prohibido el nick \002%s\002 permanentemente." },
{ RPL_GETPASS,          "La clave para el nick \002%s\002 a sido enviada a \002%s\002." },
{ RPL_PERMCLONEIGNDATA, "%i) %s" },
{ RPL_PERMCLONEIGNEND,  "-=[ Fin de lista de Ignores ]=-" },
{ RPL_UPTIME1,          "Los Servicios han estado en linea por:" },
{ RPL_UPTIME2,          "%i Dias, %i Horas, %i Minutos, y  %i Segundos." },
{ RPL_ALLOCSTAT1,       "smalloc() info:    Llamada %i veces." },
{ RPL_ALLOCSTAT2,       "sfree() info:      Llamada %i veces." },
{ RPL_CLONESTATUS1,     "%s@%s tiene %i/%i clones (total/trigger)%s" },
{ RPL_CLONESTATUS2,     "%s tiene %i/%i clones (total/trigger)" },
{ ERR_INVALIDTRIGLEVEL, "Por favor especifica un nivel de trigger valido." },
{ ERR_NOSUCHTRIGGER,    "No existe user@host (%s@%s)." },
{ RPL_NOCLONEFLAGS,     "%s no tiene opciones de clones." },
{ RPL_HASCLONEFLAGS,    "%s tiene los flags: %s%s%s" },
{ ERR_PERMIGNEXISTS,    "%s esta ya en ignore permanente." },
{ ERR_NOSUCHPERMIGN,    "%s no esta en ignore permanente." },
{ ERR_UNKNOWNFLAG,      "Flag %s desconocido." },
{ ERR_UNKNOWHOST,       "Host %s desconocido." },
{ ERR_NOMATCH,          "No ahi %s@%s" },
{ RPL_MAPHEAD,          "-=[ Lista de servidores conectados ]=-" },
{ RPL_MAPDATA,          "%s (%s)" },
{ RPL_MAPMYDATA,        "Servicios (%.2f-%s)" },
{ RPL_GETKEY,           "La llave de  activacion del nick \002%s\002 es \002%s\002." },
{ RPL_GETREALPASS,      "La clave del nick \002%s\002 es \002%s\002." },
{ RPL_DELETE,           "El nick \002%s\002 a sido removido de la base de datos." },
{ RPL_SAVE,             "La base de datos de NickServ a sido guardada al disco." },
{ ERR_ALREADYLINKID,    "Ya estas identificado remotamente para el nick \002%s\002." },
{ ERR_MAXLINKID,        "No te puedes identificar remotamente para mas de \002%i\002 nicks." },
{ RPL_NICKWARN1,        "Este nick esta registrado. Si es tu nick, por favor identificate a NickServ ahora." },
{ RPL_NICKWARN2,        "Si no te identificas, tu nick sera cambiado en 30 segundos." },
{ RPL_NICKWARN3,        "Para identificarte, usa el comando \002IDENTIFY\002: \002/ns IDENTIFY <clave>\002" },
{ RPL_NICKWARN4,        "Tienes 15 segundos para identificarte antes de que tu nick sea cambiado." },
{ RPL_NICKWARN5,        "Tu nick a sido cambiado. Por favor usa un nick que no este registrado." },
{ RPL_HELP,             "%s" },
{ RPL_YOUHAVEMEMOS,     "Tienes \002%i\002 memo(s) nuevos esperando. (\002%i\002 en total)" },
{ RPL_MEMO1,            "\002%2i\002. Recibido en %-30s [%s]" },
{ RPL_MEMO2,            "       \002%s\002: %s" },
{ ERR_NOSUCHMEMO,       "Lo siento, pero no existe el memo \002%i\002." },
{ RPL_MLISTHEADER,      "-=[ Lista de memos de \002%s\002 ]=-" },
{ RPL_MLIST1,           "\002%2i\002. Recibido en %-30s de \002%s\002 [%s]" },
{ RPL_MLISTFOOTER,      "-=[ Fin de lista de memos ]=-" },
{ ERR_MLISTEMPTY,       "Lo siento, pero tu lista de memos esta vacia." },
{ ERR_MEMOTOOLONG,      "Lo siento, pero tu memo es demasiado largo, por favor mantenlo menor que \002%i\002 caracteres." },
{ ERR_ISNOMEMO,         "Lo siento, pero \002%s\002 no permite que le envien memos." },
{ ERR_MEMOBOXFULL,      "Lo siento, pero la lista de memos de \002%s\002 esta llena." },
{ ERR_TOOMANYMEMOS,     "Lo siento, pero has enviado demasiados memos. " },
{ RPL_GOTNEWMEMO,       "\002%s\002 te a enviado un memo, para leerlo: \002/msg MemoServ READ %i\002" },
{ RPL_SENTMEMO,         "Tu memo a sido enviado exitosamente a \002%s\002" },
{ ERR_ISNOFORWARD,      "Lo siento, pero \002%s\002 no permite que le redireccionen memos." },
{ RPL_MEMOFORWARDED,    "Has redireccionado \002%i\002 memo%s a \002%s\002", },
{ ERR_NOFWDTOSELF,      "Lo siento, pero redireccionar memos a ti mismo me parece tonto." },
{ RPL_DELMEMO,          "Has borrado \002%s\002 memos." },
{ RPL_DELMEMONR,        "Has borrado el memo \002%i\002." },
{ RPL_MAPEND,           "-=[ Fin de la lista de servidores ]=-" },
{ RPL_MMAX,             "\002%s\002 esta actualmente en \002%i\002 para este nick." },
{ ERR_MMAXSET,          "Lo siento, pero tienes que elegir un numero entre\002 1\002 y \002%i\002" },
{ RPL_MMAXNOW,          "\002%s\002 a sido puesto \002%i\002 para este nick." },
{ RPL_MFORWARD,         "Tus memos estan siendo redireccionados a \002%s\002." },
{ RPL_MFORWARDNOW,      "Tus memos estan siendo ahora redireccionados a \002%s\002." },
{ ERR_NOFWDMEMOS,       "Lo siento, pero \002%s\002 no permite que le redireccionen memos." },
{ RPL_MEMOSRETRIEVED,   "Todos tus memos han sido enviados a \002%s\002." },
{ ERR_MNEEDLEVEL,       "Lo siento, pero necesitas especificar un nivel de Op." },
{ RPL_SENTMEMOCHAN,     "Tu memo a sido enviado a \002%i\002 de \002%i\002 nicks." },
{ ERR_JINXEXIST,        "Lo siento, pero ese \002%s\002 para \002%s\002 ya existe." },
{ ERR_NOSUCHNICK,       "Lo siento, pero \002%s\002 no esta en linea." },
{ ERR_CANTJINXSRA,      "Lo siento, pero no puedes darle jinx a un Services Root Administrator." },
{ ERR_NOSUCHJINX,       "Lo siento, pero parece no haber \002%s\002 para \002%s\002." },
{ RPL_JINXLISTEMPTY,    "Lo siento, pero no hay \002%s\002 actualmente." },
{ RPL_JINXLISTHEADER,   "-=[ Lista de \002%s\002 ]=-" },
{ RPL_JINXLISTFOOTER,   "-=[ Fin de lista de \002%s\002 ]=-" },
{ RPL_JINXLIST1,        "%-25s [puesto por %s] (%s) %s" },
{ RPL_JINXADDED,        "Has aadido un \002%s\002 para el nick \002%s\002." },
{ RPL_JINXREMOVED,      "Has removido el \002%s\002 para el nick \002%s\002." },
{ ERR_NEEDUSERHOST,     "Lo siento, pero necesitas una mascara de la forma ident@host." },
{ ERR_THISISNONICKDUMMY,"Este es un \002enforzador de nicks\002 de NickServ y no un usuario real." },
{ ERR_NOHELPONTHAT,     "Lo siento, no hay ayuda disponible en \002%s\002. por favor entra a " HELPCHANNEL " para mas ayuda." },
{ ERR_BADCHANNELNAME,   "Lo siento, pero \002%s\002 no es un canal valido." },
{ RPL_CHANCLOSED,       "El canal \002%s\002 a sido \002CERRADO\002." },
{ ERR_CHANNOTCLOSED,    "El canal \002%s\002 no a sido \002CERRADO\002." },
{ RPL_CHANUNCLOSED,     "El canal \002%s\002 a sido \002REABIERTO\002." },
{ RPL_GLOBALNOTICE,     "\002[NOTICE]\002 Welcome to " NETWORK "! Scanbots have been stopped, you may remove the noscan channel settings at this time." },
{ RPL_YOUARENETADMIN,   "Ahora eres un \002Network Administrator.\002" },
{ RPL_NURLDELETED,      "La \002Url\002de tu nick a sido borrada." },
{ ERR_STRTOOLONG,       "\002%s\002 es demasiado larga." },
{ RPL_INFOURL,          "Url                    - %s" },
{ RPL_ACCLISTHEADER,    "-=- [ Lista de accesos de canales ] -=-" },
{ RPL_ACCLISTHEADER2,   "-=- [ Lista de accesos de canales (\002%s\002) ] -=-" },
{ RPL_ACCLISTINFO,      "(%-2i) [Canal: %-32s]  [Nivel: %-2i]" },
{ RPL_ACCLISTFOOTER,    "-=- [ Fin de lista de accesos de canales ] -=-" },
{ RPL_REHASHING,        "Leyendo el archivo de configuracion de los servicios." },
{ RPL_NEWSLISTHEADER,   "-=- [ Lista de %sNEWS ] -=-" },
{ RPL_NEWSLISTINFO,     "(%-2i) \002%s\002  - Aadida por %s en %s." },
{ RPL_NEWSLISTFOOTER,   "-=- [ Fin de la lista de News ] -=-" },
{ ERR_INVALIDNEWS,      "Lo siento, pero %sNEWS %i no existe." },
{ RPL_NEWSADDED,        "\002%s\002  - Aadido a %sNEWS." },
{ RPL_NEWSDELETED,      "\002%s\002  - Borrado de %sNEWS." },
{ RPL_DELALLNEWS,       "Todas las %sNEWS han sido borradas." },
{ RPL_SHOWNEWS,         "%s NEWS (%i): %s" },
{ RPL_CNOOPISON,        "Lo siento, tiene el modo NOOP, solo el founder puede dar Ops." },
{ RPL_CURLDELETED,      "La \002Url\002 de tu canal a sido borrada." },
{ ERR_CLOSESINTAX,      "Sintax error, use /cs close add \002<#channel>\002 \002<reason>\002" },
{ RPL_LOGHEADER,        "-=- [ Logs de los Servicios ] -=-" },
{ RPL_LOGFOOTER,        "-=- [ Fin de los logs de los Servicios ] -=-" },
{ RPL_ROOTOPS,          "RootOps de %s : %s" },
{ RPL_SOPOPS,           "SopOps de %s : %s" },
{ RPL_OLISTOPHEADER,    "-=[ Lista de IRCops en \002%s\002 ]=-" },
{ RPL_OLISTOPFOOTER,    "-=[ Fin de lista de IRCops ]=-" },
{ RPL_LOGINFO,          "%s" },
{ -1, "" }
};

#endif
